AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- SumerianSceneComponentCore
  - SumerianSceneComponentIonic

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- amplifyService
- amplifyUI
- isFullscreen
- isVRCapable
- isVRPresentationActive
- loadPercentage
- loading
- logger
- muted
- sceneError
- sceneName
- showEnableAudio

### Accessors

- data

### Methods

- loadAndStartScene
- maximize
- minimize
- ngOnDestroy
- ngOnInit
- onFullscreenChange
- progressCallback
- setMuted
- toggleVRPresentation

## Constructors

### constructor

- new SumerianSceneComponentCore(amplifyService: AmplifyService): SumerianSceneComponentCore

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:105

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns SumerianSceneComponentCore

## Properties

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:107

### amplifyUI

amplifyUI: AmplifyUI

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:99

### isFullscreen

isFullscreen: boolean = false

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:97

### isVRCapable

isVRCapable: boolean = false

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:95

### isVRPresentationActive

isVRPresentationActive: boolean = false

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:96

### loadPercentage

loadPercentage: number = 0

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:92

### loading

loading: boolean = false

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:91

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:100

### muted

muted: boolean = false

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:93

### sceneError

sceneError: any = null

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:98

### sceneName

sceneName: string

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:89

### showEnableAudio

showEnableAudio: boolean = false

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:94

## Accessors

### data

data:

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:103

## Methods

### loadAndStartScene

- loadAndStartScene(): Promise<void>

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:139

  #### Returns Promise<void>

### maximize

- maximize(): Promise<void>

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:194

  #### Returns Promise<void>

### minimize

- minimize(): Promise<void>

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:200

  #### Returns Promise<void>

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:127

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:112

  #### Returns void

### onFullscreenChange

- onFullscreenChange(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:189

  #### Returns void

### progressCallback

- progressCallback(progress: any): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:134

  #### Parameters

  - ##### progress: any

  #### Returns void

### setMuted

- setMuted(muted: any): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:166

  #### Parameters

  - ##### muted: any

  #### Returns void

### toggleVRPresentation

- toggleVRPresentation(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.component.core.ts:175

  #### Returns void